<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        // const double1 = function(number){
        //     return number *2
        // }
        // console.log(double1(20));

        //箭头函数
        // const double2 = (number) => {
        //     return number *2
        // }
        // console.log(double2(20));

        // const double = (number) => number *2
        // const double = number => number *2
        // console.log(double(20));

        // const sum = (num1,num2) => num1 + num2;
        // console.log(sum(6,20));

        //map数组二倍显示
        const arr = [1,2,3,4]
        var newArr = arr.map( i => i*2 )
        console.log(newArr);

        //改变this指向 es5
        const team = {
            members:['henry','elsy'],
            teamName: 'es6',
            teamSummary:function () {
                let self = this
                return this.members.map(function(num)
                {
                    //不知道this指向谁
                    return `${num}隶属于${self.teamName}小组`;
                })
            }
        }
        console.log(team.teamSummary());

        //es6 改变箭头函数指向
        const team2 = {
            members:['henry','elsy'],
            teamName: 'es6',
            teamSummary:function () {
                // let self = this
                return this.members.map( num =>
                {
                    //不知道this指向谁
                    return `${num}隶属于${this.teamName}小组`;
                })
            }
        }
        console.log(team2.teamSummary());
    </script>
</body>
</html>